unit Auth.Service;

interface

uses
  XData.Service.Common,
  Aurelius.Mapping.Attributes,
  System.Generics.Collections,
  System.JSON;

const
  AUTH_MODEL = 'Auth';

type

  [ServiceContract, Model(AUTH_MODEL)]
  IAuthService = interface(IInvokable)
  ['{AA668BA0-3129-4B02-88BF-4089D45D9249}']
    [HttpPost]function Login(const username, password, clientVersion: string): string;
    function VerifyVersion(clientVersion: string): TJSONObject;
  end;

implementation


end.
